## GtkPlotCanvasRectangle GtkPlotCanvasRectangle |

## Functions

GtkPlotCanvasChild * | gtk_plot_canvas_rectangle_new ()
void | gtk_plot_canvas_rectangle_set_attributes ()

## Properties

gint | border | Read / Write
gpointer | color-bg | Read / Write
gboolean | filled | Read / Write
gpointer | line | Read / Write
gint | shadow-width | Read / Write

## Types and Values

struct | GtkPlotCanvasRectangle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotCanvasChild
                    ╰── GtkPlotCanvasRectangle

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_canvas_rectangle_new ()

    GtkPlotCanvasChild *
    gtk_plot_canvas_rectangle_new (GtkPlotLineStyle style,
                                   gfloat width,
                                   const GdkColor *fg,
                                   const GdkColor *bg,
                                   GtkPlotBorderStyle border,
                                   gboolean fill);

### gtk_plot_canvas_rectangle_set_attributes ()

    void
    gtk_plot_canvas_rectangle_set_attributes
                                   (GtkPlotCanvasRectangle *rectangle,
                                    GtkPlotLineStyle style,
                                    gfloat width,
                                    const GdkColor *fg,
                                    const GdkColor *bg,
                                    GtkPlotBorderStyle border,
                                    gboolean fill);

#### Parameters

rectangle | a GtkPlotCanvasRectangle |

## Types and Values

### struct GtkPlotCanvasRectangle

    struct GtkPlotCanvasRectangle;

The GtkPlotCanvasRectangle struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“border”` property

      “border”                   gint

Border Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“color-bg”` property

      “color-bg”                 gpointer

Filling Color.

Flags: Read / Write

### The `“filled”` property

      “filled”                   gboolean

Fill Figure.

Flags: Read / Write

Default value: FALSE

### The `“line”` property

      “line”                     gpointer

Line Attributes.

Flags: Read / Write

### The `“shadow-width”` property

      “shadow-width”             gint

Shadow Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0